ServerEvents.recipes(event => {

  //.69 Roundshot
  event.shaped(
    Item.of('pointblank:69_roundshot', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: '#forge:ingots/lead',
      B: 'createbigcannons:packed_guncotton',
      C: 'minecraft:gunpowder'
    }
  )

  //.44 Roundshot
  event.shaped(
    Item.of('pointblank:44_roundshot', 1),
    [
      ' A ',
      ' C ',
      '   '
    ],
    {
      A: '#forge:nuggets/lead',
      C: 'minecraft:gunpowder'
    }
  )

  //8x22mm Nambu
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:8_22mm_nambu')
  ], 'crusty_chunks:small_casing', [
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['crusty_chunks:small_casing', 'minecraft:cyan_dye']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', 'minecraft:gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', '#forge:nuggets/lead']),
    event.recipes.createPressing('2x pointblank:8_22mm_nambu', 'kubejs:incomplete_pistol_ammo')
  ]).transitionalItem('kubejs:incomplete_pistol_ammo').loops(1)

  //9x19mm Parabellum
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:9_19mm_parabellum')
  ], 'crusty_chunks:small_casing', [
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['crusty_chunks:small_casing', 'minecraft:lime_dye']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', 'minecraft:gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', 'createbigcannons:gunpowder_pinch']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', '#forge:nuggets/lead']),
    event.recipes.createPressing('2x pointblank:9_19mm_parabellum', 'kubejs:incomplete_pistol_ammo')
  ]).transitionalItem('kubejs:incomplete_pistol_ammo').loops(1)

  //.45 ACP
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:ammo45acp')
  ], 'crusty_chunks:small_casing', [
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['crusty_chunks:small_casing', 'minecraft:orange_dye']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', 'minecraft:gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', 'minecraft:gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_pistol_ammo', ['kubejs:incomplete_pistol_ammo', '#forge:nuggets/lead']),
    event.recipes.createPressing('2x pointblank:ammo45acp', 'kubejs:incomplete_pistol_ammo')
  ]).transitionalItem('kubejs:incomplete_pistol_ammo').loops(1)

  //.30-06 Springfield
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:30_06_springfield')
  ], 'crusty_chunks:large_casing', [
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['crusty_chunks:large_casing', 'minecraft:light_blue_dye']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', '#forge:nuggets/lead']),
    event.recipes.createPressing('2x pointblank:30_06_springfield', 'kubejs:incomplete_rifle_ammo')
  ]).transitionalItem('kubejs:incomplete_rifle_ammo').loops(1)

  //.44-40 Winchester
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:44_winchester')
  ], 'crusty_chunks:large_casing', [
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['crusty_chunks:large_casing', 'minecraft:white_dye']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', '#forge:nuggets/lead']),
    event.recipes.createPressing('2x pointblank:44_winchester', 'kubejs:incomplete_rifle_ammo')
  ]).transitionalItem('kubejs:incomplete_rifle_ammo').loops(1)

  //.303 British
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:303_british')
  ], 'crusty_chunks:large_casing', [
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['crusty_chunks:large_casing', 'minecraft:yellow_dye']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'minecraft:gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', '#forge:nuggets/lead']),
    event.recipes.createPressing('2x pointblank:303_british', 'kubejs:incomplete_rifle_ammo')
  ]).transitionalItem('kubejs:incomplete_rifle_ammo').loops(1)

  //7.92x57mm Mauser
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:792_57mm_mauser')
  ], 'crusty_chunks:large_casing', [
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['crusty_chunks:large_casing', 'minecraft:red_dye']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'minecraft:gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', 'minecraft:gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_rifle_ammo', ['kubejs:incomplete_rifle_ammo', '#forge:nuggets/lead']),
    event.recipes.createPressing('2x pointblank:792_57mm_mauser', 'kubejs:incomplete_rifle_ammo')
  ]).transitionalItem('kubejs:incomplete_rifle_ammo').loops(1)

  //12 Gauge Ammo
  event.recipes.create.sequenced_assembly([
    Item.of('pointblank:ammo12gauge')
  ], 'crusty_chunks:shotgun_casing', [
    event.recipes.createDeploying('kubejs:incomplete_12_gauge_ammo', ['crusty_chunks:shotgun_casing', 'createbigcannons:packed_gunpowder']),
    event.recipes.createDeploying('kubejs:incomplete_12_gauge_ammo', ['kubejs:incomplete_12_gauge_ammo', 'createbigcannons:packed_guncotton']),
    event.recipes.createDeploying('kubejs:incomplete_12_gauge_ammo', ['kubejs:incomplete_12_gauge_ammo', 'kubejs:lead_shrapnel']),
    event.recipes.createDeploying('kubejs:incomplete_12_gauge_ammo', ['kubejs:incomplete_12_gauge_ammo', 'hexerei:wax_blend']),
    event.recipes.createPressing('2x pointblank:ammo12gauge', 'kubejs:incomplete_12_gauge_ammo')
  ]).transitionalItem('kubejs:incomplete_12_gauge_ammo').loops(1)

  //Propellent Recipe
  event.remove({ id: 'crusty_chunks:propellent_recipe' })
  event.shapeless(
    Item.of('crusty_chunks:propellent', 2),
    [
      '6x createbigcannons:packed_gunpowder',
      '3x crusty_chunks:lead_dust'
    ]
  )

  //Powder Charge Recipe
  event.remove({ id: 'createbigcannons:powder_charge' })
  event.shapeless(
    Item.of('createbigcannons:powder_charge', 1),
    [
      'createbigcannons:empty_powder_charge',
      '3x createbigcannons:packed_gunpowder'
    ]
  )

  // Basin + Mechanical Press compacting: 2x gunpowder -> 1x packed gunpowder
  event.remove({ output: 'createbigcannons:packed_gunpowder' })
  event.recipes.create.compacting(
    'createbigcannons:packed_gunpowder',
    ['2x minecraft:gunpowder']
  ).id('kjs:packed_gunpowder_from_press')

})
